Please remove drools from precise

Bug #935071 reported by Andreas Moog on 2012-02-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
drools (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

The only reverse-depends of this package (eucalyptus) has been removed from Ubuntu.

Fixing this FTBFS will require a major version upgrade which seem pretty pointless as nothing will actually be using it.

Please remove it from the precise archive.

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

This is a semi-automatic report based on the latest archive rebuild results [1].
Apologies if it reaches you in error.

Excerpt from the buildlog:

    [javac] DRLParser.java:1141: cannot find symbol
    [javac] symbol : variable backtracking
    [javac] location: class org.drools.lang.DRLParser
    [javac] if ( backtracking==0 ) {
    [javac] ^
    [javac] DRLParser.java:1159: cannot find symbol
    [javac] symbol : variable failed
    [javac] location: class org.drools.lang.DRLParser
    [javac] match(input,LEFT_SQUARE,FOLLOW_LEFT_SQUARE_in_argument587); if (failed) return name;
    [javac] ^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 100 errors

BUILD FAILED
/build/buildd/drools-4.0.7/debian/build.xml:20: The following error occurred while executing this line:
/build/buildd/drools-4.0.7/debian/build.xml:55: Compile failed; see the compiler error output for details.

Total time: 24 seconds
make: *** [debian/stamp-ant-build] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20120205-0425
FAILED [dpkg-buildpackage died]

The full buidlog can be found at https://launchpad.net/ubuntu/+archive/test-rebuild-20120201/+build/3143874/+files/buildlog_ubuntu-precise-i386.drools_4.0.7-0ubuntu1_FAILEDTOBUILD.txt.gz.

[1] http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20120201-precise.html

Andreas Moog (ampelbein) on 2012-02-18
Changed in drools (Ubuntu):
importance: Undecided → High
James Page (james-page) on 2012-03-16
Changed in drools (Ubuntu Precise):
assignee: nobody → James Page (james-page)
status: New → In Progress
James Page (james-page) wrote :

This version of drools is not compatible with antlr 3.2.

I look at a porting patch but not yet as I noticed that its only dep is eucalyptus for which is currently proposed for removal from the archive.

If that is the case then this package should be rm'ed as well.

James Page (james-page) on 2012-03-19
Changed in drools (Ubuntu Precise):
status: In Progress → Incomplete
James Page (james-page) on 2012-04-03
summary: - drools version 4.0.7-0ubuntu1 FTBFS on i386 in precise
+ Please remove drools from precise
description: updated
Changed in drools (Ubuntu Precise):
status: Incomplete → New
assignee: James Page (james-page) → nobody
Colin Watson (cjwatson) wrote :

2012-04-19 12:07:23 INFO Creating lockfile: /var/lock/launchpad-lp-remove-package.lock
2012-04-19 12:07:33 INFO Removing candidates:
2012-04-19 12:07:33 INFO drools 4.0.7-0ubuntu1 in precise
2012-04-19 12:07:33 INFO libdrools-core-java 4.0.7-0ubuntu1 in precise amd64
2012-04-19 12:07:33 INFO libdrools-core-java 4.0.7-0ubuntu1 in precise armel
2012-04-19 12:07:33 INFO libdrools-core-java 4.0.7-0ubuntu1 in precise armhf
2012-04-19 12:07:33 INFO libdrools-core-java 4.0.7-0ubuntu1 in precise i386
2012-04-19 12:07:33 INFO libdrools-core-java 4.0.7-0ubuntu1 in precise powerpc
2012-04-19 12:07:33 INFO libdrools-extras-java 4.0.7-0ubuntu1 in precise amd64
2012-04-19 12:07:33 INFO libdrools-extras-java 4.0.7-0ubuntu1 in precise armel
2012-04-19 12:07:33 INFO libdrools-extras-java 4.0.7-0ubuntu1 in precise armhf
2012-04-19 12:07:33 INFO libdrools-extras-java 4.0.7-0ubuntu1 in precise i386
2012-04-19 12:07:33 INFO libdrools-extras-java 4.0.7-0ubuntu1 in precise powerpc
2012-04-19 12:07:33 INFO Removed-by: Colin Watson
2012-04-19 12:07:33 INFO Comment: requested by james-page; introduced for eucalyptus which has since been removed, no other reverse-dependencies; LP: #935071
2012-04-19 12:07:33 INFO 11 packages successfully removed.
Confirm this transaction? [yes, no] yes
2012-04-19 12:07:39 INFO Transaction committed.
2012-04-19 12:07:39 INFO The archive will be updated in the next publishing cycle.

Changed in drools (Ubuntu Precise):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers